## ros-indigo-moveit-simple-grasps 1.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(moveit_simple_grasps)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS
  roscpp
  std_msgs
  eigen_conversions
  moveit_ros_planning
  moveit_ros_planning_interface
  moveit_core
  moveit_visual_tools
  tf
  tf_conversions
  trajectory_msgs
  message_generation
  geometry_msgs
  actionlib
  actionlib_msgs
  moveit_msgs
  cmake_modules
)

find_package(Eigen REQUIRED)
find_package(Boost REQUIRED thread system)

add_message_files(DIRECTORY msg
  FILES
    GraspGeneratorOptions.msg
)

add_action_files(DIRECTORY action
  FILES
    GenerateGrasps.action
)

generate_messages(DEPENDENCIES
  geometry_msgs
  actionlib_msgs
  std_msgs
  moveit_msgs
)

# Catkin
catkin_package(
  LIBRARIES
    ${PROJECT_NAME}
    ${PROJECT_NAME}_filter
  CATKIN_DEPENDS
    actionlib_msgs
    geometry_msgs
    moveit_msgs
    trajectory_msgs
    std_msgs
    message_runtime
    moveit_visual_tools
  INCLUDE_DIRS include
)

## Build
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

# Grasp Generator Library
add_library(${PROJECT_NAME}
  src/simple_grasps.cpp
  src/grasp_data.cpp
)
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES} ${Boost_LIBRARIES}
)

# Grasp Filter Library
add_library(${PROJECT_NAME}_filter
  src/grasp_filter.cpp
)
target_link_libraries(${PROJECT_NAME}_filter
  ${catkin_LIBRARIES} ${Boost_LIBRARIES}
)

# Action Server executable
add_executable(${PROJECT_NAME}_server src/simple_grasps_server.cpp)
add_dependencies(${PROJECT_NAME}_server ${catkin_EXPORTED_TARGETS}) # don't build until necessary msgs are finish
target_link_libraries(${PROJECT_NAME}_server
  ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES}
)

# Test filter executable
add_executable(${PROJECT_NAME}_filter_test src/grasp_filter_test.cpp)
target_link_libraries(${PROJECT_NAME}_filter_test
  ${PROJECT_NAME} ${PROJECT_NAME}_filter ${catkin_LIBRARIES} ${Boost_LIBRARIES}
)

# Test grasp executable
add_executable(${PROJECT_NAME}_test src/simple_grasps_test.cpp)
target_link_libraries(${PROJECT_NAME}_test
  ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES}
)

## Install

# Install libraries
install(TARGETS
  ${PROJECT_NAME}
  ${PROJECT_NAME}_filter
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

# Install header files
install(DIRECTORY include/${PROJECT_NAME}/   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

# Install shared resources
install(DIRECTORY launch    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY resources DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

# Install executables
install(TARGETS
  ${PROJECT_NAME}_server
  ${PROJECT_NAME}_test
  ${PROJECT_NAME}_filter_test
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-indigo-moveit-simple-grasps (1.3.1-0trusty) trusty; urgency=high

  * catkin lint cleanup
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Mon, 07 Dec 2015 07:00:00 -0000

ros-indigo-moveit-simple-grasps (1.3.0-0trusty) trusty; urgency=high

  * Z Axis implemented
  * Fixed API changes in moveit_visual_tools
  * Adding grasp configurations for Romeo, Nao and Pepper
  * Update README.md
  * Fix install space
  * New setRobotStatePreGrasp(), setRobotStateGrasp(), and setRobotState() functions for opening and closing EE
  * Fixed test launch
  * Added new test functions
  * Contributors: Dave Coleman, nlyubova, rheidrich

 -- Dave Coleman <davetcoleman@gmail.com>  Sat, 05 Dec 2015 07:00:00 -0000

ros-indigo-moveit-simple-grasps (1.2.1-0trusty) trusty; urgency=high

  * Refactored for new moveit_visual_tools API
  * Fixed package.xml
  * Updated README
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Mon, 27 Oct 2014 06:00:00 -0000

ros-indigo-moveit-simple-grasps (1.2.0-0trusty) trusty; urgency=high



 -- Dave Coleman <davetcoleman@gmail.com>  Fri, 19 Sep 2014 06:00:00 -0000

ros-indigo-moveit-simple-grasps (1.1.0-0trusty) trusty; urgency=high

  * Fixed grasp pose rotation
  * Created new verbose constructor flag to enable easy debugging
  * Allow a grasp pose to be rotated along z axis
  * Created new pick place pipeline template
  * Moved ClamArm config to this repo
  * Updated package description
  * Updated README
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Thu, 31 Jul 2014 06:00:00 -0000

ros-indigo-moveit-simple-grasps (1.0.1-0trusty) trusty; urgency=high

  * Moved base link out of individual end effector configurations
  * Fixed tests for new gripper config format
  * Fix for strict cppcheck and g++ warnings/errors
  * Remove self assignment
  * fix functions with no return statement and other cppcheck errors fix
  * Compatibility changes for ROS Indigo (Eigen find pkg)
  * Restored the lost grasp data for REEM
  * Renamed grasp data config file for REEM and updated launch file accordingly.
  * Fix lost contents of file and add left hand.
  * Enabled dual arm grasping, filtering
  * Fixes for more strict moveit_visual_tools data access
  * Deprecated function, made robot grasp config files have more than 1 end effector
  * Fixed posture bug and renamed local vars to not have _ postfix
  * Added ability to filter pre-grasps as well
  * Removed this-> because does not follow MoveIt style guidelines
  * Made tests left/right invariant
  * Refactored RobotGraspData and loader function
  * Renamed RobotGraspData to GraspData
  * Made graspDataLoader into a function the GraspData class.
  * Move grasp data struct to separate file
  * Fixed filter test
  * Created left hand config for baxter
  * Improved tests
  * Changed deprecated function name
  * Add options to grasp generation action goal.
  * Yaml conversion
  * Improved error handling of loading from yaml, removed unnecessary data
  * Fixes for new grasp data loader
  * Fixes per catkin_lintg
  * Convert baxter_data.h to baxter_gripper.yaml
  * Add launch script for grasp generator server + testing node
  * Replace reem_data.h with reem_hand.yaml
  * Add grasp_data_loader to be used by server.
  * Changed way visualizations are made
  * Moved the visualize grasp functionality to moveit_visual_tools. Deprecated generateAllGrasps
  * Fixed grasp filter bug of pose in wrong frame of reference
  * Trying to visualize arm reaches
  * Fixed grasp filter
  * Added new hand_roll feature
  * Changed name of moveit_simple_grasps
  * Renamed files and classes to not have the word MoveIt
  * Added picture
  * Added ability to do full grasp rotation, finer grained access, documentation
  * Fix travis
  * Changed name of moveit_visual_tools
  * Initial commit
  * Contributors: Bence Magyar, Dave Coleman, Jordi Pages

 -- Dave Coleman <davetcoleman@gmail.com>  Fri, 30 May 2014 06:00:00 -0000

=== debian/control ===
Source: ros-indigo-moveit-simple-grasps
Section: misc
Priority: extra
Maintainer: Dave Coleman <davetcoleman@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-eigen-conversions, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-moveit-core, ros-indigo-moveit-msgs, ros-indigo-moveit-ros-planning, ros-indigo-moveit-ros-planning-interface, ros-indigo-moveit-visual-tools, ros-indigo-roscpp, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-tf-conversions, ros-indigo-trajectory-msgs
Homepage: https://github.com/davetcoleman/moveit_simple_grasps/
Standards-Version: 3.9.2

Package: ros-indigo-moveit-simple-grasps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib-msgs, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-moveit-msgs, ros-indigo-moveit-visual-tools, ros-indigo-std-msgs, ros-indigo-trajectory-msgs
Description: A basic grasp generator for simple objects such as blocks or cylinders for use with the MoveIt! pick and place pipeline. Does not consider friction cones or other dynamics.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-moveit-simple-grasps//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
